> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enso.build/llms.txt
> Use this file to discover all available pages before exploring further.

# Tokens Prices Batched

> Returns prices for a batch of tokens on a given chain.



## OpenAPI

````yaml /public/openapi.json get /api/v1/prices/{chainId}
openapi: 3.0.0
info:
  title: Enso API
  description: >-
    #### Enso API

    - Find detailed documentation on
    [docs.enso.finance](https://docs.enso.finance).

    - To use the API, **you must include your API Key in the Authorization
    header** (Bearer format).

    - For testing, Swagger pre-authorizes you using the key:
    `1e02632d-6feb-4a75-a157-documentation` (1rps).

    - Get your own API Key at
    [enso.finance/developers](https://enso.finance/developers).
  version: 1.0.1
  contact: {}
servers:
  - url: https://api.enso.build
security:
  - {}
tags:
  - name: shortcuts
    description: ''
paths:
  /api/v1/prices/{chainId}:
    get:
      tags:
        - Tokens
      summary: Tokens Prices Batched
      description: Returns prices for a batch of tokens on a given chain.
      operationId: PricesController_getPrices
      parameters:
        - name: chainId
          required: true
          in: path
          description: Chain ID of the network to search for
          schema:
            example: '1'
            type: number
        - name: addresses
          required: true
          in: query
          description: Ethereum address of the token to check price for.
          schema:
            example:
              - '0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2'
            type: array
            items:
              type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Price'
components:
  schemas:
    Price:
      type: object
      properties:
        decimals:
          type: number
          example: 8
        price:
          type: number
          example: 27052
        address:
          type: string
          example: '0x2260fac5e5542a773aa44fbcfedf7c193bc2c599'
        symbol:
          type: string
          example: WBTC
        timestamp:
          type: number
          example: 1695197412
        chainId:
          type: number
          example: 1
        confidence:
          type: number
          example: 0.99
      required:
        - decimals
        - price
        - address
        - chainId

````